import { useMemo } from 'react';
function getAccessorReactKey(accessorObj) {
    let reactKey = accessorObj.accessor;
    if (typeof accessorObj.accessor === 'function') {
        reactKey = JSON.stringify(accessorObj);
    }
    return reactKey;
}
export const usePrepareDimensionsAndMeasures = (rawDimensions, rawMeasures, dimensionDefaults = {}, measureDefaults = {}) => {
    const dimensions = useMemo(() => rawDimensions.map((dimension) => {
        return {
            ...dimensionDefaults,
            ...dimension,
            reactKey: getAccessorReactKey(dimension),
        };
    }), [rawDimensions, dimensionDefaults]);
    const measures = useMemo(() => rawMeasures.map((measure) => {
        return {
            ...measureDefaults,
            ...measure,
            reactKey: getAccessorReactKey(measure),
        };
    }), [rawMeasures, measureDefaults]);
    return { dimensions, measures };
};
